Subject: Re: "sed" bug?
From: "D. Richard Hipp" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 16 Jun 1999 15:31:04 -0400

Earnie Boyd wrote:
> 
> > The following script works under Linux but fails on
> > Cygwin20 running under Windows95:
> >
> >   #! /bin/sh
> >   echo 'E:/a/b/c' | sed 's,^\([a-zA-Z]\):/,//\1/,'
> >
> > Under Linux the output is "//E/a/b/c".  Under Cygwin20,
> > the output is "E:/a/b/c".  That's if I run the script from
> > a file.  (The same file -- samba mounted off of the Linux
> > machine.)  If I type the command in directly at the
> > shell prompt, it works correctly on both machines.
> >
> 
> Does the command work interactively under sh vs bash?  

I don't understand.  "sh" is "bash" on both Linux and
Cygwin20, is it not?  I'm not running csh if that is
what you are asking.

> Try quoting the : in the sed search string.

Just tried it.  It didn't help.  Thanks for the suggestion,
though.

-- 
D. Richard Hipp -- [email-masked] -- http://www.hwaci.com/drh/

--
Want to unsubscribe from this list?
Send a message to [email-masked]